unit uTestELV;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, MPCommonObjects, MPCommonUtilities, EasyListview;

type
  TForm1 = class(TForm)
    ELV: TEasyListview;
    Memo: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure ELVItemDblClick(Sender: TCustomEasyListview; Button: TCommonMouseButton; MousePos: TPoint; HitInfo: TEasyHitInfoItem);
    procedure ELVKeyAction(Sender: TCustomEasyListview; var CharCode: Word; var Shift: TShiftState; var DoDefault: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ELVItemDblClick(Sender: TCustomEasyListview; Button: TCommonMouseButton; MousePos: TPoint; HitInfo: TEasyHitInfoItem);
var
  SelectedItem : TEasyItem;
begin
  SelectedItem := HitInfo.Item;
  if SelectedItem = nil then                                                           //if nothing has been selected
    exit
  else
    begin
      Memo.Lines.Add( 'Selected : ' +
                      SelectedItem.Captions[0] + '    ' +
                      SelectedItem.Captions[1]
                    );
    end;
end;

procedure TForm1.ELVKeyAction(Sender: TCustomEasyListview; var CharCode: Word; var Shift: TShiftState; var DoDefault: Boolean);
begin
  case CharCode of
    VK_RETURN : ELVItemDblClick;     <--
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i : integer;
begin
  for i := 0 to 25 do
    with ELV.Items.Add do
      begin
        Captions[0] := 'COL1 - Item ' + IntToStr (I);
        Captions[1] := 'COL2 - Item ' + IntToStr (I);
      end;
end;

end.
